Bug 201227 - LowPerformance took 142529 ms.
LowPerformance took 142529 ms.
Status: RESOLVED FIXED
Product: java
Classification: Unclassified
Component: Editor
7.0
All All
: P3 (vote)
: 7.1
Assigned To: Dusan Balek
issues@java
EXCEPTIONS_REPORT perf-profileme
: PERFORMANCE
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2011-08-23 01:06 UTC by Jesse Glick
Modified: 2011-09-21 08:10 UTC (History)
0 users

See Also:
Issue Type: DEFECT
:


Attachments
nps snapshot (2.14 MB, application/nps)
2011-08-23 01:07 UTC, Jesse Glick
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Jesse Glick 2011-08-23 01:06:32 UTC
Build: NetBeans IDE Dev (Build 20110822-e6b705af222a)
VM: Java HotSpot(TM) Client VM, 21.0-b17, Java(TM) SE Runtime Environment, 1.7.0-b147
OS: Linux

User Comments:
jglick: Ctrl-Shift-P during scanning. IDE froze for a couple of minutes (!) until scanning completed.



Maximum slowness yet reported was 142529 ms, average is 105427
Comment 1 Jesse Glick 2011-08-23 01:07:25 UTC
Created attachment 110139 [details]
nps snapshot
Comment 2 Dusan Balek 2011-09-19 12:52:13 UTC
Fixed in jet-main.

http://hg.netbeans.org/jet-main/rev/6211cc197a8a
Comment 3 Quality Engineering 2011-09-21 08:10:11 UTC
Integrated into 'main-golden'
Changeset: http://hg.netbeans.org/main-golden/rev/6211cc197a8a
User: Dusan Balek <dbalek@netbeans.org>
Log: Issue #201227: LowPerformance took 142529 ms - fixed.


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo